HP-UX

아파치, 오라클9i, php...

 
이주영_2
조언자

아파치, 오라클9i, php...

많은 질문을 올려 도움을 얻었구요..

여전히 실패에 실패를 거듭하고 있습니다.

과정중에 의문사항이 생겼는데.. 명확한 답을 들은 곳이 없어서요..



일단 정리를 좀 해보려구 합니다.

우선 현재 환경이..

hpux 11.00 , apache, php, oracle9i 를 사용합니다.



hpux와 oracle9i는 설치가 되어 있는 상황에서 시작을 했구요.

apache를 설치하다 여러가지의 에러가 발생해서 포럼의 도움을 얻어.. hp에서 제공하는 프로그램을 다운받아 설치하였습니다.

물론 성공했구요.. php까지는 잘 돌아가구요.



여기서 한가지..

일반적인 유닉스나.. 리눅스 환경에서는..

php를 먼저 설치, 컴파일 하고.. 아파치 컴파일하고.. 하는 등의 순서로 진행해야 하지만.. hpux에서 제공하는 프로그램을 사용하면 이 과정이 필요가 없이..

php와 오라클 8.1.6 까지 지원한다고 하시더군요..



예.. 여기까지 됐구요..

그런 다음.. 오라클 9i와 연동하는 과정이 필요했는데..

httpd.conf, php.ini, apachectl 파일까지 모두 수정하고..

profile이며 user 등등... 전부 확인했구요...

아래글..에서 김왕기님 말씀대로.. link 작업까지 해보구.. 했으나..

실패했습니다.



알아본 결과..

hpux에서 다운받아설치한 아파치 web server(이름은 명확치 않아여.. ^^;;) 는... php, 오라클 8.1.6 까지는 확실히 지원하지만.. 9i를 지원하는지는 확실하지 않다고 하구요.

그럼.. hp지원하는 프로그램(제가 설치한 아파치 web server..) 말구.. 일반적인 순서로.. 아파치와 php를 다운받아 설치하여 오라클9i와 연동할 수는 없어요~?

여쭤보니.. 아직 그렇게 해본 경우는 없었다고 하셔서.. 무리수를 두어 설치를 감행해보진 못했습니다. ㅡㅡ



혹시 경험이 있으시거나.. 잘 아시는 분은 부탁을 좀 드릴께여..

흑.. 정말 별짓을 다 해봤구요.. 더 이상 해볼 방법두 없습니다.. ㅜ.ㅠ





아..그리고 이건 오라클에 관한 질문인데..

혹시 아는 분이 계실까하여.. 올려봅니다.



오라클이 오라클 9i와 오라클 9iAS 있다고 들었습니다.

9iAS는 아파치 기반으로된 Application Server를 포함(?)한다라고 들었구요.

그래서 오라클 9iAS는 확실히 php를 지원한다고 하는데.. 9i는 모르겠습니다. 명확히 아는 분이 없는 듯 해서요..



그럼.. 오라클 9i에서 아파치와 php를 지금 저처첨.. 따로 설치할 경우.. php에 오라클 9i가 붙는지..?

아니면 꼭.. 9iAS여야 php에 오라클을 붙일 수 있는건지..?

혹시 아는 분 안 계신가요..?
2 응답 2
wang gi kim
임시 조언자

아파치, 오라클9i, php...





문제는 oracle8i와 oracle9i의 lib,lib64,lib32의 차이점때문에

발생것이었습니다.



oracle8i : lib(32bit), lib64(64bit)

oracle9i : lib(64bit), lib32(32bit)



#ll $ORACLE_HOME/lib32

libclntsh.sl->libclntsh.sl.9.0(default)



위 부분을 아래와같이 수정.

#unlink libclntsh.sl

#cp libclntsh.sl.9.0 libclntsh.sl.9.0.org

#mv libclntsh.sl.9.0 libclntsh.sl.8.0

#ln -s libclntsh.sl.8.0 libclntsh.sl

#ln -s libclntsh.sl.8.0 libclntsh.sl.9.0

이후 apachectl $ORACLE_HOME/lib32로 수정.

#/opt/hpws/apache/bin/apachectl stop/start

;phpinfo() -> oci8 : enabled display.



;몇일동안 고생고생하다가 성공하여 기쁨니다.

;하지만, ORA-12154: TNSnames.ora관련 error가 계속나니

;계속해서 test하면 좋은 결과를 얻을수 있을것으로 기대됩니다.



happy new year!!!



=> 아래내용 마지막 답변입니다.



도움이 되었다니 저로서도 할일을 다해서 마음이 가볍습니다.

덕분에 저도 열공하는척 했습니다. 헤헤~~

오늘 친구네 돌잔치를 갔다오면서 다시생각해보니 위의 link작업이

무의미하다는게 새삼느껴졌습니다.

저희쪽에서는 oracle9i이 없어서 정확히 test할수 없지만

링크라는게 원래 참조일뿐 다른해석이 따르지 않습니다.

따라서 liblntsh.sl.9.0을 liblntsh.sl.8.0으로 rename하여

link했던작업은 별의미가 없을것 같습니다.

단지 oracle9i $ORACLE_HOME/lib32(32bit)에서 default로 잡혀있는

liblntsh.sl->liblntsh.sl.9.0은 그대로 두고 추가로

liblntsh.sl.8.0->liblntsh.sl.9.0로 링크를 잡아주면 끝입니다.

(예를들면, #ln -s liblntsh.sl.9.0 liblntsh.sl.8.0)



아무쪼록 oracle문제가 조속히 처리되기를 기대하면서

해를 넘긴 php+oracle9i연동문제는 이것으로 끝을 낼까합니다.

그동안 고생이 많으셨습니다.

여기까지 올수있게 도움을 주신 삼성전기 "이재호"님께도

감사의 말씀 아울러 올립니다.

(아주 중요한 힌트(oracle9i -> lib,lib32)를 주셨습니다.)



bye~~

이주영_2
조언자

아파치, 오라클9i, php...



또 다른 에러가 발생하는 바람에 아직 난항을 겪고 있긴 하지만..

드디어 hp ux와 php, 아파치, oracle9i를 연동에 성공했구요...

이젠 오라클 에러 잡을 노력을 해봐야겠습니다.

ora-12154.. 흔한 에러인데.. 또 다른분들과를 다른 문제인듯 하여 고생중입니다..



김왕기님께 정말 감사드리구요...

덕분에 문제점도 해결했고... 많은 것도 배웠습니다.